function addQuestion(data) {
    const frage = {
        "html": data.aussage,
        "keepOrder": true,
        "singlechoice": true,
        "choices": [
            { "html": "Physikalischer Fachbegriff", correct: data.physik },
            { "html": "Alltagssprache", correct: !data.physik }
        ]
    };
    if (data.explanation)
        frage.choices[data.physik ? 1 : 0].response = data.explanation;
    return frage;
}

function generate(arrFragen) {
    [
        { aussage: "Fester Boden übt eine Kraft auf darauf liegende Gegenstände aus, um ein Einsinken zu verhindern.", physik: true, explanation: "Weil sie in der Form „… übt Kraft auf … aus“ formuliert ist, muss es sich um Kraft im Sinne der Physik handeln. Obgleich das für die Einordnung nicht relevant ist: Diese Aussage ist übrigens auch fachlich richtig." },
        { aussage: "Kräfte zwischen den Ionen eines Salzes führen schließlich dazu, dass die Kristalle die für das Salz typische Form haben.", physik: true, explanation: "Ein Ion übt also auf das andere Ion eine Kraft aus. Passt, auch Ionen sind Körper." },
        { aussage: "Ihre Worte hatten eine beruhigende Kraft.", physik: false, explanation: "Welcher Körper soll den hier der Wechselwirkungspartner sein? Hier ist keine physikalische, sondern eher eine zwischenmenschliche Wechselwirkung gemeint…" },
        { aussage: "Mit einem kraftvoll Schlag hat die Boxerin ihre Gegenerin ausgeknockt.", physik: false, explanation: "Hier ist mit „kraftvoll“ lediglich „hart“ gemeint. Freilich übt sie beim Schlagen eine Kraft auf sie aus, aber dass ist nun wirklich nicht der Kern der Aussage." },
        { aussage: "Obwohl ich kräftig gebremst habe, konnte ich den Zusammenstoß nicht verhindern.", physik: false, explanation: "Es geht hier nicht darum, wer auf wen eine Kraft ausgeübt hat, sondern dass die Bremse zügig durchgedrückt wurde." },
        { aussage: "In einem Windkraftwerk wandelt ein Generator Wind in Strom um.", physik: false, explanation: "Auf wen soll den der Wind eine Kraft ausüben?! In dieser Aussage geht es vorrangig um Energieumwandlung, nicht um Kraft." },
        { aussage: "Die Sonne übt auf die Erde eine Gravitationskraft aus, die dazu führt, dass sich die Erde um sie dreht.", physik: true, explanation: "Da der Satz in der Form „… übt Kraft auf … aus“ formuliert ist, muss es sich zwangsweise um Kraft im Sinne der Physik handeln." },
        { aussage: "Beim Schießen eines Fußballs auf ein Tor übt der Fuß der schießenden Person kurz eine Kraft mit hohem Betrag auf den Fußball aus.", physik: true, explanation: "Da der Satz in der Form „… übt Kraft auf … aus“ formuliert ist, muss es sich zwangsweise um Kraft im Sinne der Physik handeln." },
        { aussage: "Stößt ein Ball gegen eine Wand, erfährt er eine Kraft", physik: true, explanation: "Die Aussage kann zu „die Wand übt eine Kraft auf den Ball aus“ umformuliert werden. Richtig ist das offensichtlich, da ein gegen die Wand stoßender Ball seine Geschwindigkeit ändert, also eine Zusatzgeschwindigkeit erhält." },
        { aussage: "Mit all seiner Kraft kämpfte er sich durch den heftigen Sturm.", physik: false, explanation: "Es ist unklar, wer auf wen eine Kraft ausübt. Und eine Umformulierung wie „Er übte eine Kraft auf die auf ihn zuströmende Luft aus.“ ist nicht annähernd inhaltsgleich. Hier geht es darum, dass sich jemand sehr anstrengen muss. Nicht um Kraft im Sinne der Physik." },
        { aussage: "Es gelang ihr alleine mit ihrer Muskelkraft, das schwere Gewicht zu heben.", physik: false, explanation: "Kraft im Sinne der Physik ist nicht etwas, was man „hat“, sondern eine momentane Wechselwirkung." },
        { aussage: "Die Sehkraft kann mit zunehmenden Alter nachlassen.", physik: false, explanation: "Wer übt den diese „Sehkraft“ auf wen aus?! Damit ist die Fähigkeit, zu sehen gemeint, nicht eine Wechselwirkung." },
        { aussage: "Die Sprengkraft moderner Sprengstoffe ist deutlich höher als die von Dynamit.", physik: false, explanation: "Mit „Sprengkraft“ ist eine Zerstörungswirkung gemeint, unabhängig davon, wer welche Kräfte auf wen ausübt." },
        { aussage: "Um den schweren Gegenstand wegzutragen, werden viele Arbeitskräfte benötigt.", physik: false, explanation: "„Arbeitskraft“ meint Personen, nicht Wechselwirkungen…" },
        { aussage: "Mit aller Kraft versuchte Alex, die schwere Steinplatte anzuheben.", physik: false, explanation: "Am ähnlichsten in physikalischer Fachsprache formuliert wäre „Alex bemühte sich, möglichst lange eine Kraft mit möglichst hohem Betrag auf die Steinplatte auszuüben.“ Bei der alltagssprachlichen Formulierung steht aber nicht die Beschaffenheit einer physikalischen Kraft (also der Wechselwirkung) im Zentrum, sondern wie sehr sich Alex anstrengt." },
        { aussage: "Bei einem Zusammenstoß können hohe Kräfte wirken.", physik: true, explanation: "Gemeint ist, dass die Kraft, die beim Zusammenstoß einer der beteiligten Körper auf den anderen ausübt, einen hohen Betrag haben kann." }
    ].map(addQuestion).forEach(frage => arrFragen.push(frage));
}

window.MultipleChoiceTestData = {
    // Optional: Wie viele Versuche hat der/die Lernende (Standardwert: Unendlich)
    "maxTries": Infinity,

    // Optional: Soll statt der Anzahl an nötigen Versuchen bewertet werden, wie gut der/die Lernende abschneidet?
    "reportScore": false,

    // Optional: Sollen die Fragen nicht durchgemischt werden?
    "keepOrder": false,

    // Optional: Wie soll bewertet werden?
    // "questions"  → Standardwert, Frage kann entweder richtig sein (1 von 1 Punkt) oder falsch (0 von 1 Punkt)
    // "average"    → Durchschnittlicher Prozentsatz an richtig ausgewählten bzw. richtig nicht ausgewählten Antwortmöglichkeiten pro auswählbaren Antwortmöglichkeiten bei jeder Frage
    // "choices"    → Anteil der richtig ausgewählten Antwortmöglichkeiten pro auswählbaren Antwortmöglichkeiten
    "countMode": "questions",

    // Wie viele Fragen sollen für einen Test gezogen werden?
    "questionsPerTest": 5,

    // Welcher Anteil muss mindestens richtig sein, um zu bestehen?
    "threshold": 1,

    // Optional: Begrüßungstext
    "htmlIntro": "<p>Entscheide je, ob <em>Kraft</em> im Sinne des physikalischen Kraftbegriffs verwendet wird:</p>",

    // Verfügbare Fragen
    "questions": [
    ],

    // Fragengeneratoren
    "generators": [
        generate
    ]
}
